Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class OrderValue

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.SmartValue
            |
            +--com.beasys.commerce.ebusiness.order.OrderValue

All Implemented Interfaces:
  Serializable

public class OrderValue
extends SmartValue

This class represents the state of Order entity.

See Also:
  `Order`, `OrderHome`, `Order.getOrderByValue()`, `Order.setOrderByValue(OrderValue)`, Serialized Form

Field Summary
`List` | `adjustmentPresentations` Order Adjustments, mostly discounts, used by the JSP, as a list of OrderDiscountPresentation objects.
`Date` | `createdDate` Date of creation of the order
`Customer` | `customer` A transient reference to the Customer entity
`Handle` | `customerHandle`
`String` | `identifier` Primary key attribue.
`Collection` | `orderLines` Collection of OrderLine objects associated with this order
`String` | `orderStatus` Status of the order
`PaymentTransaction` | `paymentTransaction` A transient reference to the PaymentTransaction entity
`Handle` | `paymentTransactionHandle`
`Money` | `price` Total value of the order
`Money` | `shipping` Shipping cost
`com.beasys.commerce.axiom.contact.Address` | `shippingAddress` Shipping address
`String` | `shippingMethod` Shipping method
`String` | `specialInstructions` Special instructions for shipping
`String` | `splittingPreference` Order splitting preference
`double` | `subtotal` Subtotal of the order
`Money` | `tax` Total tax on the order

Constructor Summary
`OrderValue()` Constructs an OrderValue object

Method Summary
`Money` | `getBaseShipping()` The base shipping is not kept in the database currently.
`Money` | `getTotal(int totalType)` Gets the order total for the given total type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### customerHandle

    public Handle customerHandle

### paymentTransactionHandle

    public Handle paymentTransactionHandle

### identifier

    public String identifier

  Primary key attribue. Represents the state of the associated OrderPk object.

### createdDate

    public Date createdDate

  Date of creation of the order

### shippingMethod

    public String shippingMethod

  Shipping method

### customer

    public transient Customer customer

  A transient reference to the Customer entity

### shippingAddress

    public com.beasys.commerce.axiom.contact.Address shippingAddress

  Shipping address

### shipping

    public Money shipping

  Shipping cost

### paymentTransaction

    public transient PaymentTransaction paymentTransaction

  A transient reference to the PaymentTransaction entity

### orderStatus

    public String orderStatus

  Status of the order

### orderLines

    public Collection orderLines

  Collection of OrderLine objects associated with this order

### tax

    public Money tax

  Total tax on the order

### price

    public Money price

  Total value of the order

### subtotal

    public double subtotal

  Subtotal of the order

### specialInstructions

    public String specialInstructions

  Special instructions for shipping

### splittingPreference

    public String splittingPreference

  Order splitting preference

### adjustmentPresentations

    public List adjustmentPresentations

  Order Adjustments, mostly discounts, used by the JSP, as a list of OrderDiscountPresentation objects. This is retrieved only when using the OrderAdjustmentPersistence select method.

Constructor Detail

### OrderValue

    public OrderValue()

  Constructs an OrderValue object

Method Detail

### getTotal

    public Money getTotal(int totalType)
                   throws InvalidArgumentException

  Gets the order total for the given total type

  Returns:
    Money object containing the specified total
  Throws:
    `InvalidArgumentException` - if an invalid total type parameter is passed
  See Also:
    `OrderConstants`

### getBaseShipping

    public Money getBaseShipping()

  The base shipping is not kept in the database currently. It must hence be re-calculated from the order adjustment (the discount that was applied) and the discounted shipping value.

  Returns:
    the shipping before discount as a Money object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved